<?php
/**
 * functions
 *
 * @package    apus-apuslisting
 * @author     ApusTheme <apusthemes@gmail.com >
 * @license    GNU General Public License, version 3
 * @copyright  13/06/2016 ApusTheme
 */
 
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

/**
 * batch including all files in a path.
 *
 * @param String $path : PATH_DIR/*.php or PATH_DIR with $ifiles not empty
 */
function apusapuslisting_includes( $path, $ifiles=array() ){

    if( !empty($ifiles) ){
         foreach( $ifiles as $key => $file ){
            $file  = $path.'/'.$file; 
            if(is_file($file)){
                require($file);
            }
         }   
    }else {
        $files = glob($path);
        foreach ($files as $key => $file) {
            if(is_file($file)){
                require($file);
            }
        }
    }
}

function apusapuslisting_get_config($name, $default = '') {
    global $apus_options;
    if ( isset($apus_options[$name]) ) {
        return $apus_options[$name];
    }
    return $default;
}

function apusapuslisting_get_global_config($name, $default = '') {
    $options = get_option( 'apuslisting_theme_options', array() );
    if ( isset($options[$name]) ) {
        return $options[$name];
    }
    return $default;
}

function apusapuslisting_display_favorite_icon() {
    echo ApusApusListing_Template_Loader::get_template_part( 'favorite/button' );
}