<?php
/**
 * Amenities
 *
 * @package    apus-apuslisting
 * @author     ApusTheme <apusthemes@gmail.com >
 * @license    GNU General Public License, version 3
 * @copyright  13/06/2016 ApusTheme
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
class ApusApusListing_Taxonomy_Amenities{

	/**
	 *
	 */
	public static function init() {
		add_action( 'init', array( __CLASS__, 'definition' ), 1 );
		add_action( 'cmb2_init', array( __CLASS__, 'metaboxes' ) );
	}

	/**
	 *
	 */
	public static function definition() {
		$labels = array(
			'name'              => __( 'Amenities', 'apus-apuslisting' ),
			'singular_name'     => __( 'Amenity', 'apus-apuslisting' ),
			'search_items'      => __( 'Search Amenities', 'apus-apuslisting' ),
			'all_items'         => __( 'All Amenities', 'apus-apuslisting' ),
			'parent_item'       => __( 'Parent Amenity', 'apus-apuslisting' ),
			'parent_item_colon' => __( 'Parent Amenity:', 'apus-apuslisting' ),
			'edit_item'         => __( 'Edit', 'apus-apuslisting' ),
			'update_item'       => __( 'Update', 'apus-apuslisting' ),
			'add_new_item'      => __( 'Add New', 'apus-apuslisting' ),
			'new_item_name'     => __( 'New Amenity', 'apus-apuslisting' ),
			'menu_name'         => __( 'Amenities', 'apus-apuslisting' ),
		);

		register_taxonomy( 'job_listing_amenity', 'job_listing', array(
			'labels'            => apply_filters( 'apusapuslisting_taxomony_booking_amenities_labels', $labels ),
			'hierarchical'      => true,
			'query_var'         => 'amenity',
			'rewrite'           => array( 'slug' => __( 'amenity', 'apus-apuslisting' ) ),
			'public'            => true,
			'show_ui'           => true,
			'show_in_rest'		=> true
		) );
	}

	public static function metaboxes() {
	    $metabox_id = 'apus_apuslisting_amenities_options';

	    $cmb = new_cmb2_box( array(
			'id'           => $metabox_id,
			'title'        => '',
			'object_types' => array( 'page' ),
		) );

	    $cmb->add_field( array(
		    'name'    => __( 'Image Icon', 'apus-apuslisting' ),
		    'id'      => 'icon_image',
		    'type'    => 'file',
		    'options' => array(
		        'url' => false,
		    ),
		    'text'    => array(
		        'add_upload_file_text' => __( 'Add Icon', 'apus-apuslisting' )
		    )
		) );

	    $cmb->add_field( array(
	        'name'    => __( 'Font Icon', 'apus-apuslisting' ),
	        'desc' => __( 'You can choose a Font Icon instead using Image Icon. You can using fontawesome icon: http://fontawesome.io/', 'apus-apuslisting' ),
		    'id'      => 'icon_font',
		    'type'    => 'text'
	    ) );
	    
	    $cats = new Taxonomy_MetaData_CMB2( 'job_listing_amenity', $metabox_id );
	}
}

ApusApusListing_Taxonomy_Amenities::init();