<?php
/**
 * Categories
 *
 * @package    apus-apuslisting
 * @author     ApusTheme <apusthemes@gmail.com >
 * @license    GNU General Public License, version 3
 * @copyright  13/06/2016 ApusTheme
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
class ApusApusListing_Taxonomy_Categories{

	/**
	 *
	 */
	public static function init() {
		add_filter( 'register_taxonomy_job_listing_category_args', array( __CLASS__, 'change_taxonomy_category_label' ), 10 );
		add_action( 'cmb2_init', array( __CLASS__, 'metaboxes' ) );
	}

	public static function change_taxonomy_category_label($args) {
		$singular = esc_html__( 'Listing Category', 'apus-apuslisting' );
		$plural   = esc_html__( 'Listings Categories', 'apus-apuslisting' );

		$args['label'] = $plural;

		$args['labels'] = array(
			'name'              => $plural,
			'singular_name'     => $singular,
			'menu_name'         => esc_html__( 'Categories', 'apus-apuslisting' ),
			'search_items'      => sprintf( esc_html__( 'Search %s', 'apus-apuslisting' ), $plural ),
			'all_items'         => sprintf( esc_html__( 'All %s', 'apus-apuslisting' ), $plural ),
			'parent_item'       => sprintf( esc_html__( 'Parent %s', 'apus-apuslisting' ), $singular ),
			'parent_item_colon' => sprintf( esc_html__( 'Parent %s:', 'apus-apuslisting' ), $singular ),
			'edit_item'         => sprintf( esc_html__( 'Edit %s', 'apus-apuslisting' ), $singular ),
			'update_item'       => sprintf( esc_html__( 'Update %s', 'apus-apuslisting' ), $singular ),
			'add_new_item'      => sprintf( esc_html__( 'Add New %s', 'apus-apuslisting' ), $singular ),
			'new_item_name'     => sprintf( esc_html__( 'New %s Name', 'apus-apuslisting' ), $singular )
		);

		if ( isset( $args['rewrite'] ) && is_array( $args['rewrite'] ) ) {
			$args['rewrite']['slug'] = _x( 'listing-category', 'Listing category slug - resave permalinks after changing this', 'apus-apuslisting' );
			$args['rewrite']['with_front'] = true;
			$args['rewrite']['hierarchical'] = true;
		}

		return $args;
	}

	public static function metaboxes() {
	    $metabox_id = 'apus_apuslisting_categories_options';

	    $cmb = new_cmb2_box( array(
			'id'           => $metabox_id,
			'title'        => '',
			'object_types' => array( 'page' ),
		) );

	    $cmb->add_field( array(
		    'name'    => __( 'Icon', 'apus-apuslisting' ),
		    'id'      => 'icon',
		    'type'    => 'file',
		    'options' => array(
		        'url' => false,
		    ),
		    'text'    => array(
		        'add_upload_file_text' => __( 'Add Icon', 'apus-apuslisting' )
		    )
		) );

	    $cats = new Taxonomy_MetaData_CMB2( 'job_listing_category', $metabox_id );
	}
}

ApusApusListing_Taxonomy_Categories::init();