(function($) {
	'use strict';
	// Ajax QuickView
	jQuery(document).ready(function(){
		jQuery('a.quickview').click(function (e) {
			e.preventDefault();
			var self = $(this);
			self.parent().parent().parent().addClass('loading');
		    var productslug = jQuery(this).data('productslug');
		    var url = apustheme_ajax.ajaxurl + '?action=apustheme_quickview_product&productslug=' + productslug;
		    
	    	jQuery.get(url,function(data,status){
		    	$.magnificPopup.open({
					mainClass: 'apus-mfp-zoom-in',
					items    : {
						src : data,
						type: 'inline'
					}
				});
				// variation
                if ( typeof wc_add_to_cart_variation_params !== 'undefined' ) {
                    $( '.variations_form' ).each( function() {
                        $( this ).wc_variation_form().find('.variations select:eq(0)').change();
                    });
                }

                var config = {
                    loop: false,
                    nav: true,
                    dots: false,
                    items: 1,
                    navText: ['<span class="fa fa-angle-left"></span>', '<span class="fa fa-angle-right"></span>'],
                    responsive: {
	                    0:{
	                        items: 1
	                    },
	                    320:{
	                        items: 1
	                    },
	                    768:{
	                        items: 1
	                    },
	                    980:{
	                        items: 1
	                    },
	                    1280:{
	                        items: 1
	                    }
	                }
                };
                $(".quickview-owl").owlCarousel( config );

				self.parent().parent().parent().removeClass('loading');
		    });
		});
	});
	// thumb for special image
    $('.special-product .thumbnails-image .thumb-link').click(function(e){
        e.preventDefault();
        var image_url = $(this).attr('href');
        $('.special-product .featured-image img').attr('src', image_url);
    });
    // product thumbs
    $('.thumbnails-image-carousel .thumb-link, .lite-carousel-play .thumb-link').each(function(e){
        $(this).click(function(event){
            event.preventDefault();
            $('.main-image-carousel').trigger("to.owl.carousel", [e, 0, true]);
            
            $('.thumbnails-image .thumb-link').removeClass('active');
            $(this).addClass('active');
            return false;
        });
    });
    $('.main-image-carousel').on('changed.owl.carousel', function(event) {
        setTimeout(function(){
            var index = 0;
            $('.main-image-carousel .owl-item').each(function(i){
                if ($(this).hasClass('active')){
                    index = i;
                }
            });
            $('.thumbnails-image .thumb-link').removeClass('active');
            
            if ( $('.thumbnails-image .lite-carousel-play').length > 0 ) {
                $('.thumbnails-image li').eq(index).find('.thumb-link').addClass('active');
            } else {
                $('.thumbnails-image .owl-item').eq(index).find('.thumb-link').addClass('active');
            }
        },50);
    });

    $('.product-images-owl .owl-carousel').each(function(){
        var self = $(this);
        var owl = $(this);
        
        setTimeout(function(){
            owl.find('.owl-item .featured-image').removeClass('active');
            owl.find('.owl-item.active').eq(1).find('.featured-image').addClass('active');
        }, 50);
        owl.on('changed.owl.carousel',function(property){
            setTimeout(function(){
                owl.find('.owl-item .featured-image').removeClass('active');
                owl.find('.owl-item.active').eq(1).find('.featured-image').addClass('active');
            }, 50);
        });
    });
    
    // review click link
    $('.woocommerce-review-link').click(function(){
        $('.woocommerce-tabs a[href="#tabs-list-reviews"]').click();
        $('html, body').animate({
            scrollTop: $("#reviews").offset().top
        }, 1000);
        return false;
    });

    $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
        initProductImageLoad();
    });
    setTimeout(function(){
        initProductImageLoad();
    },500);
    function initProductImageLoad() {
        $(window).off('scroll.unveil resize.unveil lookup.unveil');
        var $images = $('.image-wrapper:not(.image-loaded) .unveil-image'); // Get un-loaded images only
        if ($images.length) {
            var scrollTolerance = 1;
            $images.unveil(scrollTolerance, function() {
                $(this).parents('.image-wrapper').first().addClass('image-loaded');
            });
        }

        var $images = $('.product-image:not(.image-loaded) .unveil-image'); // Get un-loaded images only
        if ($images.length) {
            var scrollTolerance = 1;
            $images.unveil(scrollTolerance, function() {
                $(this).parents('.product-image').first().addClass('image-loaded');
            });
        }
    }
    

})(jQuery)
