<div id="apus-header-mobile" class="header-mobile hidden-lg hidden-md clearfix">
    <div class="container">
    <div class="row">
        <div class="col-xs-3">
            <div class="active-mobile pull-left">
                <button data-toggle="offcanvas" class="btn btn-sm btn-offcanvas btn-toggle-canvas offcanvas" type="button">
                   <i class="icon-canvas"></i>
                </button>
            </div>
        </div>
        <div class="col-xs-6">
            <?php
                $logo = apuslisting_get_config('media-mobile-logo');
            ?>
            <?php if( isset($logo['url']) && !empty($logo['url']) ): ?>
                <div class="logo text-center">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" >
                        <img src="<?php echo esc_url( $logo['url'] ); ?>" alt="<?php bloginfo( 'name' ); ?>">
                    </a>
                </div>
            <?php else: ?>
                <div class="logo logo-theme text-center">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" >
                        <img src="<?php echo esc_url_raw( get_template_directory_uri().'/assets/images/logo.png'); ?>" alt="<?php bloginfo( 'name' ); ?>">
                    </a>
                </div>
            <?php endif; ?>
        </div>
        <div class="col-xs-3">
            <?php if ( !is_user_logged_in() ) { ?>
                <div class="setting-popup pull-right">
                    <div class="dropdown">
                        <button class="btn btn-sm btn-primary btn-outline dropdown-toggle" type="button" data-toggle="dropdown"><span class="icon-user"></span></button>
                        <div class="dropdown-menu dropdown-menu-right">
                            <div class="pull-left">
                                <ul class="menu-topbar">
                                    <li><a href="#apus_login_forgot_tab" class="apus-user-login wel-user"><?php esc_html_e( 'Login','apuslisting' ); ?></a></li>
                                    <li><a href="#apus_register_tab" class="apus-user-register wel-user"><?php esc_html_e( 'Register','apuslisting' ); ?></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            <?php }else { ?>
                <?php if ( has_nav_menu( 'topmenu' ) ) { ?>
                    <div class="setting-popup pull-right">
                        <div class="dropdown">
                            <button class="btn btn-sm btn-primary btn-outline dropdown-toggle" type="button" data-toggle="dropdown"><span class="icon-user"></span></button>
                            <div class="dropdown-menu dropdown-menu-right">
                                <div class="pull-left">
                                    <ul class="menu-topbar">
                                        <?php
                                            $args = array(
                                                'theme_location' => 'topmenu',
                                                'container' => false,
                                                'menu_class' => 'apus-menu-top',
                                                'fallback_cb'     => false,
                                                'items_wrap' => '%3$s',
                                            );
                                            wp_nav_menu($args);
                                        ?>
                                        <li><span><a href="<?php echo wp_logout_url(home_url()); ?>"><?php esc_html_e('Log out ','apuslisting'); ?></a></span></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            <?php } ?>
        </div>
    </div>
    </div>
    <?php if ( is_active_sidebar( 'search-sidebar' ) ) : ?>
        <?php dynamic_sidebar( 'search-sidebar' ); ?>
    <?php endif; ?>
</div>