<?php
if ( !function_exists ('apuslisting_custom_styles') ) {
	function apuslisting_custom_styles() {
		ob_start();	
		?>

			/* Typography */
			/* Main Font */
			<?php
				$font_source = apuslisting_get_config('font_source');
				$main_font = apuslisting_get_config('main_font');
				$main_font = isset($main_font['font-family']) ? $main_font['font-family'] : false;
				$main_google_font_face = apuslisting_get_config('main_google_font_face');
			?>
			<?php if ( ($font_source == "1" && $main_font) || ($font_source == "2" && $main_google_font_face) ): ?>
				h1, h2, h3, h4, h5, h6, .widget-title,.widgettitle
				{
					font-family: 
					<?php if ( $font_source == "2" ) echo '\'' . $main_google_font_face . '\','; ?>
					<?php if ( $font_source == "1" ) echo '\'' . $main_font . '\','; ?> 
					sans-serif;
				}
			<?php endif; ?>
			/* Second Font */
			<?php
				$secondary_font = apuslisting_get_config('secondary_font');
				$secondary_font = isset($secondary_font['font-family']) ? $secondary_font['font-family'] : false;
				$secondary_google_font_face = apuslisting_get_config('secondary_google_font_face');
			?>
			<?php if ( ($font_source == "1" && $secondary_font) || ($font_source == "2" && $secondary_google_font_face) ): ?>
				body,
				p
				{
					font-family: 
					<?php if ( $font_source == "2" ) echo '\'' . $secondary_google_font_face . '\','; ?>
					<?php if ( $font_source == "1" ) echo '\'' . $secondary_font . '\','; ?> 
					sans-serif;
				}			
			<?php endif; ?>
			/* Custom Color (skin) */ 
			/* check main color */ 
			<?php if ( apuslisting_get_config('second_color') != "" ) : ?>
				/* seting border color main */
				.listing-time::before,
				.border-theme-second
				{
					border-color: <?php echo esc_html( apuslisting_get_config('second_color') ) ?>;
				}
				/* seting background main */
				.job_listing .review-avg,
				.widget-subwoo .subwoo-inner.highlight .header-sub,
				.listing-time,
				.bg-theme-second
				{
					background: <?php echo esc_html( apuslisting_get_config('second_color') ) ?>;
				}
				/* setting color*/
				.text-second,
				.text-theme-second
				{
					color: <?php echo esc_html( apuslisting_get_config('second_color') ) ?>;
				}
			<?php endif; ?>

			/* check main color */ 
			<?php if ( apuslisting_get_config('main_color') != "" ) : ?>
				/* seting border color main */
				.nav-tabs-manager > li:last-child > a,
				.job_filters .search_distance_wrapper .ui-slider-handle,
				.border-theme
				{
					border-color: <?php echo esc_html( apuslisting_get_config('main_color') ) ?>;
				}
				/* seting background main */
				.nav-tabs-manager > li > a,
				.user-heading .author,
				.job_filters .search_distance_wrapper .ui-slider-range,
				.apus-single-listing .widget-title span::before,
				.navbar-nav.megamenu > li::before,
				.widget-listing-categories.default .item-inner,
				.bg-theme
				{
					background: <?php echo esc_html( apuslisting_get_config('main_color') ) ?>;
				}
				/* setting color*/
				.woocommerce div.product p.price, .woocommerce div.product span.price{
					color: <?php echo esc_html( apuslisting_get_config('main_color') ) ?> !important;
				}
				.wpb-js-composer .vc_tta.vc_tta-tabs-position-top .vc_tta-tabs-list .vc_tta-tab.vc_active > a,
				.vc_toggle_active .vc_toggle_title > h4,
				.widget-features-box.style-icon .icon-box,
				.widget-edit-profile .title,
				.listing-hours-inner > div.current,
				.course-rating .average-rating .average-value,
				.woocommerce div.product p.price, .woocommerce div.product span.price,
				.apus-single-listing .widget-title,
				.apus-single-listing .widget-title,
				.apus-footer .widget-title, .apus-footer .widgettitle,
				.job_listing .listing-cats a,
				a:hover,a:focus,.a:active,
				.text-theme
				{
					color: <?php echo esc_html( apuslisting_get_config('main_color') ) ?>;
				}
			<?php endif; ?>

			/* button  for theme */
			<?php if ( apuslisting_get_config('button_main_color') != "" ) : ?>
				.btn.btn-theme{
					background: <?php echo esc_html( apuslisting_get_config('button_main_color') ) ?>;
					border-color:<?php echo esc_html( apuslisting_get_config('button_main_color') ) ?>;
				}
				.btn.btn-theme.btn-outline{
					color:<?php echo esc_html( apuslisting_get_config('button_main_color') ) ?>;
					border-color:<?php echo esc_html( apuslisting_get_config('button_main_color') ) ?>;
				}
			<?php endif; ?>
			<?php if ( apuslisting_get_config('button_main_color_hover') != "" ) : ?>
				.btn.btn-theme:focus,
				.btn.btn-theme:active,
				.btn.btn-theme:hover{
					background: <?php echo esc_html( apuslisting_get_config('button_main_color_hover') ) ?>;
					border-color:<?php echo esc_html( apuslisting_get_config('button_main_color_hover') ) ?>;
				}
				.btn.btn-theme.btn-outline:active,
				.btn.btn-theme.btn-outline:focus,
				.btn.btn-theme.btn-outline:hover{
					border-color:<?php echo esc_html( apuslisting_get_config('button_main_color_hover') ) ?>;
					color:#fff;
					background-color:<?php echo esc_html( apuslisting_get_config('button_main_color_hover') ) ?>;
				}
			<?php endif; ?>

			/* button second */
			<?php if ( apuslisting_get_config('button_second_color') != "" ) : ?>
				.btn.btn-theme-second{
					background: <?php echo esc_html( apuslisting_get_config('button_second_color') ) ?>;
					border-color:<?php echo esc_html( apuslisting_get_config('button_second_color') ) ?>;
				}
				.btn.btn-theme-second.btn-outline{
					color:<?php echo esc_html( apuslisting_get_config('button_second_color') ) ?>;
					border-color:<?php echo esc_html( apuslisting_get_config('button_second_color') ) ?>;
				}
			<?php endif; ?>
			<?php if ( apuslisting_get_config('button_second_color_hover') != "" ) : ?>
				.btn.btn-theme-second:focus,
				.btn.btn-theme-second:active,
				.btn.btn-theme-second:hover{
					background: <?php echo esc_html( apuslisting_get_config('button_second_color_hover') ) ?>;
					border-color:<?php echo esc_html( apuslisting_get_config('button_second_color_hover') ) ?>;
				}
				.btn.btn-theme-second.btn-outline:active,
				.btn.btn-theme-second.btn-outline:focus,
				.btn.btn-theme-second.btn-outline:hover{
					border-color:<?php echo esc_html( apuslisting_get_config('button_second_color_hover') ) ?>;
					color:#fff;
					background-color:<?php echo esc_html( apuslisting_get_config('button_second_color_hover') ) ?>;
				}
			<?php endif; ?>

			/* Top Bar Backgound */
			<?php $topbar_bg = apuslisting_get_config('topbar_bg'); ?>
			<?php if ( !empty($topbar_bg) ) :
				$image = isset($topbar_bg['background-image']) ? str_replace(array('http://', 'https://'), array('//', '//'), $topbar_bg['background-image']) : '';
				$topbar_bg_image = $image && $image != 'none' ? 'url('.esc_url($image).')' : $image;
			?>	#topbar,
				#apus-topbar {
					<?php if ( isset($topbar_bg['background-color']) && $topbar_bg['background-color'] ): ?>
				    background-color: <?php echo esc_html( $topbar_bg['background-color'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($topbar_bg['background-repeat']) && $topbar_bg['background-repeat'] ): ?>
				    background-repeat: <?php echo esc_html( $topbar_bg['background-repeat'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($topbar_bg['background-size']) && $topbar_bg['background-size'] ): ?>
				    background-size: <?php echo esc_html( $topbar_bg['background-size'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($topbar_bg['background-attachment']) && $topbar_bg['background-attachment'] ): ?>
				    background-attachment: <?php echo esc_html( $topbar_bg['background-attachment'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($topbar_bg['background-position']) && $topbar_bg['background-position'] ): ?>
				    background-position: <?php echo esc_html( $topbar_bg['background-position'] ) ?>;
				    <?php endif; ?>
				    <?php if ( $topbar_bg_image ): ?>
				    background-image: <?php echo esc_html( $topbar_bg_image ) ?>;
				    <?php endif; ?>
				}
			<?php endif; ?>
			/* Top Bar Color */
			<?php if ( apuslisting_get_config('topbar_text_color') != "" ) : ?>
				#topbar,
				#apus-topbar {
					color: <?php echo esc_html(apuslisting_get_config('topbar_text_color')); ?>;
				}
			<?php endif; ?>
			/* Top Bar Link Color */
			<?php if ( apuslisting_get_config('topbar_link_color') != "" ) : ?>
				#topbar a,
				#apus-topbar a {
					color: <?php echo esc_html(apuslisting_get_config('topbar_link_color')); ?>;
				}
			<?php endif; ?>

			/* Header Backgound */
			<?php $header_bg = apuslisting_get_config('header_bg'); ?>
			<?php if ( !empty($header_bg) ) :
				$image = isset($header_bg['background-image']) ? str_replace(array('http://', 'https://'), array('//', '//'), $header_bg['background-image']) : '';
				$header_bg_image = $image && $image != 'none' ? 'url('.esc_url($image).')' : $image;
			?>	

				#apus-header {
					<?php if ( isset($header_bg['background-color']) && $header_bg['background-color'] ): ?>
				    background-color: <?php echo esc_html( $header_bg['background-color'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($header_bg['background-repeat']) && $header_bg['background-repeat'] ): ?>
				    background-repeat: <?php echo esc_html( $header_bg['background-repeat'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($header_bg['background-size']) && $header_bg['background-size'] ): ?>
				    background-size: <?php echo esc_html( $header_bg['background-size'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($header_bg['background-attachment']) && $header_bg['background-attachment'] ): ?>
				    background-attachment: <?php echo esc_html( $header_bg['background-attachment'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($header_bg['background-position']) && $header_bg['background-position'] ): ?>
				    background-position: <?php echo esc_html( $header_bg['background-position'] ) ?>;
				    <?php endif; ?>
				    <?php if ( $header_bg_image ): ?>
				    background-image: <?php echo esc_html( $header_bg_image ) ?>;
				    <?php endif; ?>
				}
			<?php endif; ?>
			/* Header Color */
			<?php if ( apuslisting_get_config('header_text_color') != "" ) : ?>
				#apus-header {
					color: <?php echo esc_html(apuslisting_get_config('header_text_color')); ?>;
				}
			<?php endif; ?>
			/* Header Link Color */
			<?php if ( apuslisting_get_config('header_link_color') != "" ) : ?>
				#apus-header a {
					color: <?php echo esc_html(apuslisting_get_config('header_link_color'));?> ;
				}
			<?php endif; ?>
			/* Header Link Color Active */
			<?php if ( apuslisting_get_config('header_link_color_active') != "" ) : ?>
				#apus-header .active > a,
				#apus-header a:active,
				#apus-header a:hover {
					color: <?php echo esc_html(apuslisting_get_config('header_link_color_active')); ?>;
				}
			<?php endif; ?>


			/* Menu Link Color */
			<?php if ( apuslisting_get_config('main_menu_link_color') != "" ) : ?>
				.navbar-nav.megamenu > li > a{
					color: <?php echo esc_html(apuslisting_get_config('main_menu_link_color'));?> !important;
				}
			<?php endif; ?>
			/* Menu Link Color Active */
			<?php if ( apuslisting_get_config('main_menu_link_color_active') != "" ) : ?>
				.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus,
				.navbar-nav.megamenu > li.active > a,
				.navbar-nav.megamenu > li > a:hover,
				.navbar-nav.megamenu > li > a:active
				{
					color: <?php echo esc_html(apuslisting_get_config('main_menu_link_color_active')); ?> !important;
				}
			<?php endif; ?>

			/* Footer Backgound */
			<?php $footer_bg = apuslisting_get_config('footer_bg'); ?>
			<?php if ( !empty($footer_bg) ) :
				$image = isset($footer_bg['background-image']) ? str_replace(array('http://', 'https://'), array('//', '//'), $footer_bg['background-image']) : '';
				$footer_bg_image = $image && $image != 'none' ? 'url('.esc_url($image).')' : $image;
			?>
				#apus-footer {
					<?php if ( isset($footer_bg['background-color']) && $footer_bg['background-color'] ): ?>
				    background-color: <?php echo esc_html( $footer_bg['background-color'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($footer_bg['background-repeat']) && $footer_bg['background-repeat'] ): ?>
				    background-repeat: <?php echo esc_html( $footer_bg['background-repeat'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($footer_bg['background-size']) && $footer_bg['background-size'] ): ?>
				    background-size: <?php echo esc_html( $footer_bg['background-size'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($footer_bg['background-attachment']) && $footer_bg['background-attachment'] ): ?>
				    background-attachment: <?php echo esc_html( $footer_bg['background-attachment'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($footer_bg['background-position']) && $footer_bg['background-position'] ): ?>
				    background-position: <?php echo esc_html( $footer_bg['background-position'] ) ?>;
				    <?php endif; ?>
				    <?php if ( $footer_bg_image ): ?>
				    background-image: <?php echo esc_html( $footer_bg_image ) ?>;
				    <?php endif; ?>
				}
			<?php endif; ?>
			/* Footer Heading Color*/
			<?php if ( apuslisting_get_config('footer_heading_color') != "" ) : ?>
				#apus-footer h1, #apus-footer h2, #apus-footer h3, #apus-footer h4, #apus-footer h5, #apus-footer h6 ,#apus-footer .widget-title {
					color: <?php echo esc_html(apuslisting_get_config('footer_heading_color')); ?> !important;
				}
			<?php endif; ?>
			/* Footer Color */
			<?php if ( apuslisting_get_config('footer_text_color') != "" ) : ?>
				#apus-footer {
					color: <?php echo esc_html(apuslisting_get_config('footer_text_color')); ?>;
				}
			<?php endif; ?>
			/* Footer Link Color */
			<?php if ( apuslisting_get_config('footer_link_color') != "" ) : ?>
				#apus-footer a {
					color: <?php echo esc_html(apuslisting_get_config('footer_link_color')); ?>;
				}
			<?php endif; ?>

			/* Footer Link Color Hover*/
			<?php if ( apuslisting_get_config('footer_link_color_hover') != "" ) : ?>
				#apus-footer a:hover {
					color: <?php echo esc_html(apuslisting_get_config('footer_link_color_hover')); ?>;
				}
			<?php endif; ?>


			/* Copyright Backgound */
			<?php $copyright_bg = apuslisting_get_config('copyright_bg'); ?>
			<?php if ( !empty($copyright_bg) ) :
				$image = isset($copyright_bg['background-image']) ? str_replace(array('http://', 'https://'), array('//', '//'), $copyright_bg['background-image']) : '';
				$copyright_bg_image = $image && $image != 'none' ? 'url('.esc_url($image).')' : $image;
			?>
				.apus-copyright {
					<?php if ( isset($copyright_bg['background-color']) && $copyright_bg['background-color'] ): ?>
				    background-color: <?php echo esc_html( $copyright_bg['background-color'] ) ?> !important;
				    <?php endif; ?>
				    <?php if ( isset($copyright_bg['background-repeat']) && $copyright_bg['background-repeat'] ): ?>
				    background-repeat: <?php echo esc_html( $copyright_bg['background-repeat'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($copyright_bg['background-size']) && $copyright_bg['background-size'] ): ?>
				    background-size: <?php echo esc_html( $copyright_bg['background-size'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($copyright_bg['background-attachment']) && $copyright_bg['background-attachment'] ): ?>
				    background-attachment: <?php echo esc_html( $copyright_bg['background-attachment'] ) ?>;
				    <?php endif; ?>
				    <?php if ( isset($copyright_bg['background-position']) && $copyright_bg['background-position'] ): ?>
				    background-position: <?php echo esc_html( $copyright_bg['background-position'] ) ?>;
				    <?php endif; ?>
				    <?php if ( $copyright_bg_image ): ?>
				    background-image: <?php echo esc_html( $copyright_bg_image ) ?> !important;
				    <?php endif; ?>
				}
			<?php endif; ?>

			/* Footer Color */
			<?php if ( apuslisting_get_config('copyright_text_color') != "" ) : ?>
				.apus-copyright {
					color: <?php echo esc_html(apuslisting_get_config('copyright_text_color')); ?>;
				}
			<?php endif; ?>
			/* Footer Link Color */
			<?php if ( apuslisting_get_config('copyright_link_color') != "" ) : ?>
				.apus-copyright a {
					color: <?php echo esc_html(apuslisting_get_config('copyright_link_color')); ?>;
				}
			<?php endif; ?>

			/* Footer Link Color Hover*/
			<?php if ( apuslisting_get_config('copyright_link_color_hover') != "" ) : ?>
				.apus-copyright a:hover {
					color: <?php echo esc_html(apuslisting_get_config('copyright_link_color_hover')); ?>;
				}
			<?php endif; ?>

			/* Woocommerce Breadcrumbs */
			<?php if ( apuslisting_get_config('breadcrumbs') == "0" ) : ?>
			.woocommerce .woocommerce-breadcrumb,
			.woocommerce-page .woocommerce-breadcrumb
			{
				display:none;
			}
			<?php endif; ?>

			/* Custom CSS */
			<?php if ( apuslisting_get_config('custom_css') != "" ) : ?>
				<?php echo apuslisting_get_config('custom_css') ?>
			<?php endif; ?>

	<?php
		$content = ob_get_clean();
		$content = str_replace(array("\r\n", "\r"), "\n", $content);
		$lines = explode("\n", $content);
		$new_lines = array();
		foreach ($lines as $i => $line) {
			if (!empty($line)) {
				$new_lines[] = trim($line);
			}
		}
		
		return implode($new_lines);
	}
}
