<?php
/**
 * Categories
 *
 * @package    apus-apuslisting
 * @author     ApusTheme <apusthemes@gmail.com >
 * @license    GNU General Public License, version 3
 * @copyright  13/06/2016 ApusTheme
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
class ApusApusListing_Taxonomy_Types{

	/**
	 *
	 */
	public static function init() {
		add_filter( 'register_taxonomy_job_listing_type_args', array( __CLASS__, 'change_taxonomy_type_label' ), 10 );
	}

	public static function change_taxonomy_type_label($args) {
		$singular = esc_html__( 'Listing Type', 'apus-apuslisting' );
		$plural   = esc_html__( 'Listings Types', 'apus-apuslisting' );

		$args['label']  = $plural;
		$args['labels'] = array(
			'name'              => $plural,
			'singular_name'     => $singular,
			'menu_name'         => esc_html__( 'Types', 'apus-apuslisting' ),
			'search_items'      => sprintf( esc_html__( 'Search %s', 'apus-apuslisting' ), $plural ),
			'all_items'         => sprintf( esc_html__( 'All %s', 'apus-apuslisting' ), $plural ),
			'parent_item'       => sprintf( esc_html__( 'Parent %s', 'apus-apuslisting' ), $singular ),
			'parent_item_colon' => sprintf( esc_html__( 'Parent %s:', 'apus-apuslisting' ), $singular ),
			'edit_item'         => sprintf( esc_html__( 'Edit %s', 'apus-apuslisting' ), $singular ),
			'update_item'       => sprintf( esc_html__( 'Update %s', 'apus-apuslisting' ), $singular ),
			'add_new_item'      => sprintf( esc_html__( 'Add New %s', 'apus-apuslisting' ), $singular ),
			'new_item_name'     => sprintf( esc_html__( 'New %s Name', 'apus-apuslisting' ), $singular )
		);

		if ( isset( $args['rewrite'] ) && is_array( $args['rewrite'] ) ) {
			$args['rewrite']['slug'] = _x( 'listing-type', 'Listing type slug - resave permalinks after changing this', 'apus-apuslisting' );
		}

		return $args;
	}

}

ApusApusListing_Taxonomy_Types::init();