<?php
require_once vc_path_dir('SHORTCODES_DIR', 'vc-posts-grid.php');

if ( !function_exists('apuslisting_load_post_element')) {
	function apuslisting_load_post_element() {
		$layouts = array(
			esc_html__('Grid', 'apuslisting') => 'grid',
			esc_html__('List', 'apuslisting') => 'list',
			esc_html__('Carousel', 'apuslisting') => 'carousel',
		);
		$columns = array(1,2,3,4,6);
		vc_map( array(
			'name' => esc_html__( 'Apus Grid Posts', 'apuslisting' ),
			'base' => 'apus_gridposts',
			'icon' => 'icon-wpb-news-12',
			"category" => esc_html__('Apus Post', 'apuslisting'),
			'description' => esc_html__( 'Create Post having blog styles', 'apuslisting' ),
			 
			'params' => array(
				array(
					'type' => 'loop',
					'heading' => esc_html__( 'Grids content', 'apuslisting' ),
					'param_name' => 'loop',
					'settings' => array(
						'size' => array( 'hidden' => false, 'value' => 4 ),
						'order_by' => array( 'value' => 'date' ),
					),
					'description' => esc_html__( 'Create WordPress loop, to populate content from your site.', 'apuslisting' )
				),
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Show Pagination?', 'apuslisting' ),
					'param_name' => 'show_pagination',
					'description' => esc_html__( 'Enables to show paginations to next new page.', 'apuslisting' ),
					'value' => array( esc_html__( 'Yes, to show pagination', 'apuslisting' ) => 'yes' )
				),
				array(
	                "type" => "dropdown",
	                "heading" => esc_html__('Grid Columns','apuslisting'),
	                "param_name" => 'grid_columns',
	                "value" => $columns
	            ),
				array(
					"type" => "dropdown",
					"heading" => esc_html__("Layout Type", 'apuslisting'),
					"param_name" => "layout_type",
					"value" => $layouts
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Thumbnail size', 'apuslisting' ),
					'param_name' => 'thumbsize',
					'description' => esc_html__( 'Enter thumbnail size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height) . ', 'apuslisting' )
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'View More Button Text', 'apuslisting' ),
					'param_name' => 'view_more_text',
					"admin_label" => true
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'View More Button Url', 'apuslisting' ),
					'param_name' => 'view_more_url',
					"admin_label" => true
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'apuslisting' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'apuslisting' )
				)
			)
		) );
	}
}
add_action( 'vc_after_set_mode', 'apuslisting_load_post_element', 99 );

class WPBakeryShortCode_apus_gridposts extends WPBakeryShortCode_VC_Posts_Grid {}