<?php

class Apuslisting_My_Short_Profile extends Apus_Widget {
    public $link_options;
    public function __construct() {
        parent::__construct(
            'apus_my_short_profile',
            esc_html__('Apus My Short Profile', 'apuslisting'),
            array( 'description' => esc_html__( 'Show my short profile', 'apuslisting' ), )
        );
        $this->widgetName = 'my_short_profile';

        $this->link_options = array(
            'show_user_profile_link' => esc_html__('Show my profile link', 'apuslisting'),
            'show_user_listings_link' => esc_html__('Show my listings link', 'apuslisting'),
            'show_user_favorites_link' => esc_html__('Show my favorites link', 'apuslisting'),
            'show_user_reviews_link' => esc_html__('Show my reviews link', 'apuslisting'),
            'show_user_following_link' => esc_html__('Show my following link', 'apuslisting'),
            'show_user_follower_link' => esc_html__('Show my follower link', 'apuslisting'),
        );
    }

    public function getTemplate() {
        $this->template = 'my-short-profile.php';
    }

    public function widget( $args, $instance ) {
        $this->display($args, $instance);
    }
    
    public function form( $instance ) {
        $defaults = array(
            'nav_menu' => ''
        );
        $instance = wp_parse_args((array) $instance, $defaults);
        // Widget admin form

        $custom_menus = array();
        $menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
        if ( is_array( $menus ) && ! empty( $menus ) ) {
            foreach ( $menus as $single_menu ) {
                if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->slug ) ) {
                    $custom_menus[ $single_menu->name ] = $single_menu->slug;
                }
            }
        }
        // Widget admin form
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('nav_menu')); ?>">
                <?php echo esc_html__('Menu:', 'apuslisting' ); ?>
            </label>
            <br>
            <select id="<?php echo esc_attr($this->get_field_id('nav_menu')); ?>" name="<?php echo esc_attr($this->get_field_name('nav_menu')); ?>">
                <?php foreach ( $custom_menus as $key => $value ) { ?>
                    <option value="<?php echo esc_attr( $value ); ?>" <?php selected($instance['nav_menu'],$value); ?> ><?php echo esc_html( $key ); ?></option>
                <?php } ?>
            </select>
        </p>
        <?php
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['nav_menu'] = ( ! empty( $new_instance['nav_menu'] ) ) ? strip_tags( $new_instance['nav_menu'] ) : '';
        return $instance;

    }
}

register_widget( 'Apuslisting_My_Short_Profile' );