<?php
	$display_mode = apuslisting_get_listing_display_mode();
	$filter_order = isset($_COOKIE['apuslisting_order']) ? $_COOKIE['apuslisting_order'] : 'default';
?>
<div class="wrapper-filters clearfix">
<div class="col-xs-12">
<form class="job_filters job_filters-location">
	<input id="input_display_mode" type="hidden" name="display_mode" value="<?php echo trim($display_mode); ?>">
	<input class="input_filter_oder" type="hidden" name="filter_order" value="<?php echo trim($filter_order); ?>">
	<div class="filter-inner clearfix">
		<?php do_action( 'job_manager_job_filters_start', $atts ); ?>
		<div class="search_jobs">
			<?php do_action( 'job_manager_job_filters_search_jobs_start', $atts ); ?>

			<div class="row row-top">
				<div class="col-md-3 col-xs-12 <?php if ( !apuslisting_get_config('listing_filter_show_keyword', true) ) { ?> hidden <?php } ?>">
					<div class="search_keywords">
						<input type="text" name="search_keywords" id="search_keywords" placeholder="<?php esc_attr_e( 'Keywords', 'apuslisting' ); ?>" value="<?php echo esc_attr( $keywords ); ?>" />
					</div>
				</div>

				<?php if ( apuslisting_get_config('listing_filter_show_price', true) ) {
					$price_ranges = apuslisting_job_manager_price_range_icons();
					$price_range_default = isset( $_REQUEST['filter_price_range'] ) ? $_REQUEST['filter_price_range'] : array();
				?>
				<div class="col-md-3 col-xs-12">
					<div class="search_price_range clearfix">
						<?php
							foreach ($price_ranges as $key => $label) {
								?>
								<label for="filter_price_range_<?php echo esc_attr($key); ?>" data-toggle="tooltip" title="<?php echo esc_attr($label['label']); ?>">
									<input id="filter_price_range_<?php echo esc_attr($key); ?>" type="checkbox" value="<?php echo esc_attr($key); ?>" name="filter_price_range[]" <?php echo trim(in_array($key, $price_range_default) ? 'checked="checked"' : ''); ?>> <?php echo esc_attr($label['icon']); ?>
								</label>
								<?php
							}
						?>
					</div>
				</div>
				<?php } ?>

				<?php if ( apuslisting_get_config('listing_filter_show_categories', true) ) { ?>
					<div class="col-md-3 col-xs-12">
						<div class="select-categories">
							<?php
							if ( $show_categories && get_terms( 'job_listing_category' ) ) :

								//select the current category
								if ( empty( $selected_category ) ) {
									//try to see if there is a search_categories (notice the plural form) GET param
									$search_categories = isset( $_REQUEST['search_categories'] ) ? $_REQUEST['search_categories'] : '';
									if ( ! empty( $search_categories ) && is_array( $search_categories ) ) {
										$search_categories = $search_categories[0];
									}
									$search_categories = sanitize_text_field( stripslashes( $search_categories ) );
									if ( ! empty( $search_categories ) ) {
										if ( is_numeric( $search_categories ) ) {
											$selected_category = intval( $search_categories );
										} else {
											$term = get_term_by( 'slug', $search_categories, 'job_listing_category' );
											$selected_category = $term->term_id;
										}
									} elseif (  ! empty( $categories ) ) {
										if ( is_array($categories) ) {
											$selected_category = intval( $categories[0] );
										} else {
											$selected_category = intval( $categories );
										}
									}
								} ?>

								<div class="search_categories">
									<?php job_manager_dropdown_categories( array(
										'taxonomy'        => 'job_listing_category',
			                            'hierarchical'    => 1,
			                            'show_option_all' => esc_html__( 'All categories', 'apuslisting' ),
			                            'name'            => 'search_categories',
			                            'orderby'         => 'name',
			                            'selected'        => $selected_category,
			                            'multiple'        => false
									) ); ?>
								</div>

							<?php endif; ?>
						</div><!-- .select-categories -->
					</div>
				<?php } ?>
				<?php if ( apuslisting_get_config('listing_filter_show_location', true) ) { ?>
					<div class="col-md-3 col-xs-12">
						<div class="search_location">
							<?php
								$search_location = isset( $_REQUEST['search_location'] ) ? $_REQUEST['search_location'] : '';
								$search_lat = isset( $_REQUEST['search_lat'] ) ? $_REQUEST['search_lat'] : '';
								$search_lng = isset( $_REQUEST['search_lng'] ) ? $_REQUEST['search_lng'] : '';
								$use_search_distance = isset( $_REQUEST['use_search_distance'] ) ? $_REQUEST['use_search_distance'] : 'on';
								$search_distance = isset( $_REQUEST['search_distance'] ) ? $_REQUEST['search_distance'] : apuslisting_get_config('listing_filter_distance_default', 50);
							?>
							<input type="text" name="search_location" id="search_location" placeholder="<?php esc_html_e( 'Location', 'apuslisting' ); ?>" value="<?php echo esc_html($search_location); ?>" />
							<span class="find-me"><?php get_template_part( 'assets/images/icon/location' ); ?></span>
							<input type="hidden" name="search_lat" id="search_lat" value="<?php echo esc_html($search_lat); ?>" />
							<input type="hidden" name="search_lng" id="search_lng" value="<?php echo esc_html($search_lng); ?>" />
						</div>
					</div>
				<?php } ?>
				<?php
				if ( is_tax('job_listing_region') ) {
					global $wp_query;
					$term =	$wp_query->queried_object;
					?>
					<input type="hidden" name="job_region_select" value="<?php echo esc_attr($term->term_id); ?>">
					<?php
				}
				?>
				<?php if ( apuslisting_get_config('listing_filter_show_distance', true) ) {
					$distance_type = apuslisting_get_config('listing_filter_distance_type', 'km');
				?>
					<div class="col-md-3 col-xs-12">
						<div class="search_distance_wrapper clearfix">
							<div class="search-distance-label">
								<label for="use_search_distance">
									<input name="use_search_distance" id="use_search_distance" checked="checked" type="checkbox">
									<?php echo sprintf(__('Radius: <span class="text-distance">%s</span> %s', 'apuslisting'), $search_distance, $distance_type); ?>
								</label>
							</div>
							<div class="search-distance-wrapper">
								<input type="hidden" name="search_distance" id="search_distance" value="50" value="<?php echo esc_html($search_distance); ?>" />
								<div id="search-distance-slider"></div>
							</div>
						</div>
					</div>
				<?php } ?>
			</div>
			
			<?php if ( apuslisting_get_config('listing_filter_show_amenieties', 'more-filter') ) { ?>
				<div class="search_amenity_wrapper">
					<a href="javascript:void(0);" class="show-more-filter btn btn-theme"><?php esc_html_e('More Filters', 'apuslisting'); ?>
						<?php if ( apuslisting_get_config('listing_filter_show_amenieties', 'more-filter') === 'more-filter' ) { ?>
							<i class="icon-add"></i>
						<?php } else { ?>
							<i class="icon-minimize"></i>
						<?php } ?>
					</a>
					<div class="amenities-wrap <?php if ( apuslisting_get_config('listing_filter_show_amenieties', 'more-filter') !== 'more-filter' ) { ?>active<?php } ?>">
						<?php
							$job_amenities = get_terms( array( 'job_listing_amenity' ), array( 'hierarchical' => 1 ) );
							if ( !empty( $job_amenities ) ) {
								$selected = '';
								if ( is_tax( 'job_listing_amenity' )  ) {
									global $wp_query;
									$term =	$wp_query->queried_object;
									$selected = $term->slug;
								} 
							?>
								<ul class="job_amenities">
									<?php foreach ( $job_amenities as $amenity ) : ?>
										<li><label for="job_amenity_<?php echo esc_attr($amenity->slug); ?>" class="<?php echo sanitize_title( $amenity->name ); ?>"><input type="checkbox" name="filter_job_amenity[]" value="<?php echo trim($amenity->slug); ?>" id="job_amenity_<?php echo esc_attr($amenity->slug); ?>" <?php echo trim($selected == $amenity->slug ? 'checked="checked"' : ''); ?> /> <?php echo trim($amenity->name); ?></label></li>
									<?php endforeach; ?>
								</ul>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<div class="listing-search-result-filter"></div>
			<?php do_action( 'job_manager_job_filters_search_jobs_end', $atts ); ?>
		</div>
		<div class="mobile-groups-button hidden-lg hidden-md">
			<button class="btn btn-show-filter btn-xs btn-theme" type="button"><i class="fa fa-sliders" aria-hidden="true"></i> <?php esc_html_e( 'Filter Listings', 'apuslisting' ); ?></button>
			<?php if(apuslisting_get_config('listing_archive_layout_version') == 'half-map'){ ?>
				<button class="pull-right btn btn-xs btn-theme-second btn-view-map" type="button"><i class="fa fa-map-o" aria-hidden="true"></i> <?php esc_html_e( 'Map View', 'apuslisting' ); ?></button>
				<button class="pull-right btn btn-xs btn-theme-second  btn-view-listing hidden-sm hidden-xs" type="button"><i class="fa fa-list" aria-hidden="true"></i> <?php esc_html_e( 'Listing View', 'apuslisting' ); ?></button>
			<?php } ?>
		</div>
		<?php do_action( 'job_manager_job_filters_end', $atts ); ?>
	</div>
</form>
</div>
</div>
<?php do_action( 'job_manager_job_filters_after', $atts ); ?>

<noscript><?php esc_html_e( 'Your browser does not support JavaScript, or it is disabled. JavaScript must be enabled in order to view listings.', 'apuslisting' ); ?></noscript>	