<?php
$item_style = apuslisting_get_listing_item_style();
$columns = apuslisting_get_listing_item_columns();
$display_mode = apuslisting_get_listing_display_mode();

$sidebar_position = apuslisting_get_config('listing_archive_layout', 'left-main');
$version = apuslisting_get_listing_archive_version();
$class = 'col-md-8 col-xs-12';
if ( $sidebar_position == 'main' ) {
	$class = 'col-xs-12';
}
if ( $version == 'half-map') {
	$class = '';
}
?>
<div class="<?php echo esc_attr($class); ?>">
	<div class="listing-action clearfix">
		<div class="listing-display-mode">
			<div class="display-mode">
				<a href="#grid" class="change-view <?php echo ($display_mode == 'grid' ? 'active' : ''); ?>" data-mode="grid"><i class="icon-grid-view" aria-hidden="true"></i></a>
				<a href="#list" class="change-view <?php echo ($display_mode == 'list' ? 'active' : ''); ?>" data-mode="list"><i class="icon-list-view" aria-hidden="true"></i></i></a>
			</div>
		</div>
		<div class="listing-search-result"></div>
		<?php
			$options = array(
				'default' => esc_html__( 'Default Order', 'apuslisting' ),
				'date-desc' => esc_html__( 'Newest First', 'apuslisting' ),
				'date-asc' => esc_html__( 'Oldest First', 'apuslisting' ),
				'rating-desc' => esc_html__( 'Highest Rating', 'apuslisting' ),
				'rating-asc' => esc_html__( 'Lowest Rating', 'apuslisting' ),
				'random' => esc_html__( 'Random', 'apuslisting' ),
			);
			$default = isset($_COOKIE['apuslisting_order']) ? $_COOKIE['apuslisting_order'] : 'default';
		?>
		<div class="listing-orderby">
			<select name="filter_order" autocomplete="off">
				<?php foreach ( $options as $id => $option ) : ?>
					<option value="<?php echo esc_attr( $id ); ?>" <?php echo trim($id == $default ? 'selected="selected"' : ''); ?>><?php echo esc_html( $option ); ?></option>
				<?php endforeach; ?>
			</select>
		</div>
	</div>
	<div class="job_listings job_listings_cards clearfix row">