<?php
$total_rating = apuslisting_get_total_rating( $job->ID );
$comments = apuslisting_get_total_reviews( $job->ID );
?>
<div class="my-listing-item-wrapper job-list-style job_listing" id="favorite-listing-<?php the_ID(); ?>">
	<div class="listing-item-wrapper">
		<div class="media">
			<div class="media-left">
				
				<?php $img_src = apuslisting_get_post_image_src($job->ID, 'apuslisting-card-image');
				if ($img_src) {
				?>
					<div class="media-left">
						<div class="listing-image">
							<?php apuslisting_display_listing_image('apuslisting-image-list', true, $job); ?>

							<?php $status = apuslisting_get_current_time_status( $job->ID ); ?>
							<?php if ( $status ) { ?>
								<div class="listing-time opening">
									<?php esc_html_e( 'Open now', 'apuslisting' ); ?>
								</div>
							<?php } else { ?>
								<div class="listing-time closed">
									<?php esc_html_e( 'Closed now', 'apuslisting' ); ?>
								</div>
							<?php } ?>
						</div>
					</div>
				<?php } ?>
			</div>
			<div class="media-body">
				<div class="listing-title-wrapper">
					<div class="media">
						<?php if ( $comments > 0 ) { ?>
							<div class="media-left media-middle">
								<span class="review-avg"><?php echo number_format((float)$total_rating, 1, '.', ''); ?></span>
							</div>
						<?php } ?>
						<div class="media-body media-middle">
							<h3 class="listing-title">
								<?php if ( $job->post_status == 'publish' ) : ?>
									<a href="<?php echo get_permalink( $job->ID ); ?>"><?php echo trim($job->post_title); ?></a>
								<?php else : ?>
									<?php echo trim($job->post_title); ?> <small>(<?php the_job_status( $job ); ?>)</small>
								<?php endif; ?>
							</h3>
							<span class="listing-address">
								<?php the_job_location( false, $job ); ?>
							</span>
						</div>
					</div>
				</div>

				<div class="listing-content-top">
					<div class="listing-metas">
						<?php if ( $comments > 0 ) { ?>
							<div class="listing-meta listing-comments" data-placement="top" data-toggle="tooltip" title="<?php esc_html_e('Comments', 'apuslisting'); ?>">
								<i class="icon-comment"></i>
								<?php echo intval($comments); ?>
							</div>
						<?php } ?>
						
						<div class="listing-meta listing-favorite" data-placement="top" data-toggle="tooltip" title="<?php esc_html_e('Favorites', 'apuslisting'); ?>">
							<?php apuslisting_listing_favorite_btn( $job->ID ); ?>
						</div>
						<?php apuslisting_job_manager_display_price_range( $job->ID ); ?>
					</div>
				</div>

			</div>
		</div>
	</div>
	<?php if ( !isset($remove_action) || $remove_action ) { ?>
	<ul class="job-dashboard-actions">
		<li>
			<a href="#remove-favorite" class="apus-favorite-remove" data-id="<?php echo esc_attr($job->ID); ?>"><i class="icon-close"></i> <?php esc_html_e('Remove', 'apuslisting'); ?></a>
		</li>
	</ul>			
	<?php } ?>
</div>