<?php
$user = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
$data = get_userdata( $user->ID );

$show_description = get_the_author_meta( 'apus_show_description', $user->ID );


$birthday = get_the_author_meta( 'apus_birthday', $user->ID );
$show_birthday = get_the_author_meta( 'apus_show_birthday', $user->ID );

$sex = get_the_author_meta( 'apus_sex', $user->ID );
$show_sex = get_the_author_meta( 'apus_show_sex', $user->ID );

$marital_status = get_the_author_meta( 'apus_marital_status', $user->ID );
$show_marital_status = get_the_author_meta( 'apus_show_marital_status', $user->ID );

$show_phone = get_the_author_meta( 'apus_show_phone', $user->ID );
$phone = !empty($data->phone) ? $data->phone : '';

$show_email = get_the_author_meta( 'apus_show_email', $user->ID );
$email = !empty($data->user_email) ? $data->user_email : '';

$show_address = get_the_author_meta( 'apus_show_address', $user->ID );
$address = get_the_author_meta( 'apus_address', $user->ID );

$show_url = get_the_author_meta( 'apus_show_url', $user->ID );
$url = !empty($data->url) ? $data->url : '';
?>
<div class="user-profile">
	<?php if ( $show_description && !empty($data->description) ) { ?>
		<div class="box-inner">
			<h3 class="box-title"><?php esc_html_e( 'About me', 'apuslisting' ); ?></h3>
			<div class="box-content"><?php echo esc_html($data->description); ?></div>
		</div>
	<?php } ?>
	<div class="box-inner">
		<h3 class="box-title"><?php esc_html_e( 'Basic Info', 'apuslisting' ); ?></h3>
		<div class="box-content">
			<ul class="list-information">
				<li><label><?php esc_html_e( 'Name', 'apuslisting' ); ?></label> <span><?php echo trim($data->display_name); ?></span></li>
				<?php if ( $show_birthday && !empty($birthday) ) { ?>
					<li><label><?php esc_html_e( 'Birthday', 'apuslisting' ); ?></label> <span><?php echo esc_attr($birthday); ?></span></li>
				<?php } ?>
				<?php
				$sexs = apuslisting_sex_defaults();
				if ( $show_sex && !empty($sex) && !empty($sexs[$sex])) { ?>
					<li><label><?php esc_html_e( 'Sex', 'apuslisting' ); ?></label> <span><?php echo esc_attr($sexs[$sex]); ?></span></li>
				<?php } ?>
				<?php
				$maritals = apuslisting_marital_status_defaults();
				if ( $show_marital_status && !empty($marital_status) && !empty($maritals[$marital_status]) ) { ?>
					<li><label><?php esc_html_e( 'Marital status', 'apuslisting' ); ?></label> <span><?php echo esc_attr($maritals[$marital_status]); ?></span></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="box-inner">
		<?php if ( ($show_phone && !empty($phone)) || ($show_email && !empty($email)) || ($show_address && !empty($address)) || ($show_url && !empty($url)) ) { ?>
			<h3 class="box-title"><?php esc_html_e( 'Contact', 'apuslisting' ); ?></h3>
			<div class="box-content">
				<ul class="list-information">
					<?php if ( $show_phone && !empty($phone) ) { ?>
						<li><label><?php esc_html_e( 'Phone', 'apuslisting' ); ?></label> <span><?php echo esc_attr($phone); ?></span></li>
					<?php } ?>
					<?php if ( $show_email && !empty($email) ) { ?>
						<li><label><?php esc_html_e( 'Email', 'apuslisting' ); ?></label> <span><?php echo esc_attr($email); ?></span></li>
					<?php } ?>
					<?php if ( $show_address && !empty($address) ) { ?>
						<li><label><?php esc_html_e( 'Address', 'apuslisting' ); ?></label> <span><?php echo esc_attr($address); ?></span></li>
					<?php } ?>
					<?php if ( $show_url && !empty($url) ) { ?>
						<li><label><?php esc_html_e( 'Website', 'apuslisting' ); ?></label> <span><?php echo esc_attr($url); ?></span></li>
					<?php } ?>
				</ul>
			</div>
		<?php } ?>
		<ul class="spcials">
		<?php
			$options = apuslisting_user_social_defaults();
			$socials = get_user_meta( $user->ID, 'apus_socials', true );
			$show_socials = get_user_meta( $user->ID, 'apus_show_socials', true );
			foreach ($options as $key => $label) {
				$value = isset($socials[$key]) ? $socials[$key] : '';
				$show = isset($show_socials[$key]) ? $show_socials[$key] : '';
				if ( $show && $value ) {
					?>
					<li><a href="<?php echo esc_url($value); ?>" class="<?php echo esc_attr($key); ?>" title="<?php echo esc_attr($label); ?>"><i class="icon-<?php echo esc_attr($key); ?>"></i></a></li>
					<?php
				}
			}
		?>
		</ul>
	</div>
</div>