<?php
global $post;

$data_output = '';
$terms = get_the_terms(get_the_ID(), 'job_listing_category');
$termString = '';
if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) {
	$firstTerm = $terms[0];
	if ( ! $firstTerm == NULL ) {
		$term_id = $firstTerm->term_id;

		$data_output .= 'data-icon="' . apuslisting_get_term_icon_url($term_id) .'"';
		$count = 1;
		foreach ( $terms as $term ) {
			$termString .= $term->name;
			if ( $count != count($terms) ) {
				$termString .= ', ';
			}
			$count++;
		}
	}
}
$lat = get_post_meta($post->ID, 'geolocation_lat', true);
$lng = get_post_meta($post->ID, 'geolocation_long', true);
?>
<div class="apus-single-listing" itemscope itemtype="http://schema.org/JobPosting"
	data-latitude="<?php echo esc_attr($lat); ?>"
	data-longitude="<?php echo esc_attr($lng); ?>"
	data-categories="<?php echo esc_attr($termString); ?>"
	<?php echo trim($data_output); ?>>
	<meta itemprop="title" content="<?php echo esc_attr( $post->post_title ); ?>" />
	<?php if (has_post_thumbnail()) { ?>
        <meta property="og:image" content="<?php echo esc_url(get_the_post_thumbnail_url($post)); ?>"/>
    <?php } ?>
	<?php apuslisting_display_hidden_category_icon($terms); ?>
	
	<?php if ( get_option( 'job_manager_hide_expired_content', 1 ) && 'expired' === $post->post_status ) : ?>
		<div class="job-manager-info"><?php esc_html_e( 'This listing has expired.', 'apuslisting' ); ?></div>
	<?php else : ?>
		<div class="row">
			<div class="col-md-8 column-content entry-content">
				
				<div class="listing-main-content">
					<?php
					$contents = apuslisting_get_content_sort();
					foreach ($contents as $content => $title) {
						apuslisting_listing_display_part($content);
					}
					?>
				</div>
			</div>
			<div class="col-md-4">
				<div class="clearfix">
					<?php if ( is_active_sidebar( 'listing-sidebar-before' ) ) : ?>
						<div class="widget-area" role="complementary">
							<?php dynamic_sidebar( 'listing-sidebar-before' ); ?>
						</div><!-- .widget-area -->
					<?php endif; ?>
					<div class="sidebar sidebar-detail-job">
						<?php
						$contents = apuslisting_get_sidebar_content_sort();
						foreach ($contents as $content => $title) {
							apuslisting_listing_display_part($content);
						}
						?>
					</div>
					<?php if ( is_active_sidebar( 'listing-sidebar-after' ) ) : ?>
						<div class="widget-area" role="complementary">
							<?php dynamic_sidebar( 'listing-sidebar-after' ); ?>
						</div><!-- .widget-area -->
					<?php endif; ?>
				</div>
			</div>
		</div>
	<?php endif; ?>
</div>