<?php
global $post;
// get our custom meta
$phone = get_post_meta( get_the_ID(), '_company_phone', true);
$email = get_post_meta( get_the_ID(), '_company_email', true);
?>

<div id="listing-contact" class="listing-contact">
	<h3 class="widget-title"><span><?php esc_html_e( 'Contact', 'apuslisting' ); ?></span></h3>
	<div class="box-inner">
		<ul class="contact">
			<?php
			$location = get_the_job_location( $post );
			if ( $location ) { ?>
				<li>
					<span class="text-label"><i class="icon-pin"></i> <?php esc_html_e('Address', 'apuslisting'); ?></span>
					<?php 
						if ( $location ) {
							echo apply_filters( 'the_job_location_map_link', '<a class="google_map_link" href="' . esc_url( 'http://maps.google.com/maps?q=' . urlencode( strip_tags( $location ) ) . '&zoom=14&size=512x512&maptype=roadmap&sensor=false' ) . '" target="_blank">' . esc_html( strip_tags( $location ) ) . '</a>', $location, $post );
						} else {
							echo wp_kses_post( apply_filters( 'the_job_location_anywhere_text', esc_html__( 'Anywhere', 'apuslisting' ) ) );
						}
					?>
				</li>
				<?php
			} ?>
			<?php
			if ( ! empty( $phone ) ) : ?>
				<li>
					<span class="text-label"><i class="icon-phone"></i> <?php esc_html_e('Phone', 'apuslisting'); ?></span>
					<a class="listing--phone" href="tel:<?php echo trim($phone); ?>" itemprop="telephone"><?php echo trim($phone); ?></a>
				</li>
			<?php endif;

			if ( ! empty( $email ) ) : ?>
				<li>
					<span class="text-label"><i class="icon-email"></i> <?php esc_html_e('E-mail', 'apuslisting'); ?></span>
					<a class="listing--email" href="mailto:<?php echo trim($email); ?>" itemprop="telephone"><?php echo trim($email); ?></a>
				</li>
			<?php endif;
			
			if ( $website = get_the_company_website() ) {
				$website_pure = preg_replace('#^https?://#', '', rtrim(esc_url($website),'/'));
				?>
					<li>
						<span class="text-label"><i class="fa fa-link"></i> <?php esc_html_e('Website', 'apuslisting'); ?></span>
						<a class="listing--website" href="<?php echo esc_url( $website ); ?>" itemprop="url" target="_blank" rel="nofollow"><?php echo trim($website_pure); ?></a>
					</li>
			<?php } ?>
		</ul>
		
		<div class="contact-form">
			<?php
			$author_id = $post->post_author;
			$data = get_userdata( $author_id );

			$author_email = !empty($data->user_email) ? $data->user_email : '';
			?>

			<?php if ( ! empty( $_POST ) && array_key_exists( 'contact-form', $_POST ) ) : ?>
			    <?php
				$is_form_filled = ! empty( $_POST['email'] ) && ! empty( $_POST['subject'] ) && ! empty( $_POST['message'] );
				?>

			    <?php if ( $is_form_filled ) : ?>
			        <?php
			        $email = sanitize_text_field( $_POST['email'] );
			        $subject = sanitize_text_field( $_POST['subject'] );
			        $message = sanitize_text_field( $_POST['message'] );
			        $headers = sprintf( "From: %s <%s>\r\n Content-type: text/html", $email, $email );
			        $result = wp_mail( $author_email, $subject, $message, $headers );
			        ?>

			        <?php if ( $result ) : ?>
			            <div class="alert alert-success"><?php echo esc_html__( 'Your message has been successfully sent.', 'apuslisting' ); ?></div>
			        <?php else : ?>
			            <div class="alert alert-warning"><?php echo esc_html__( 'An error occurred when sending an email.', 'apuslisting' ); ?></div>
			        <?php endif; ?>
			    <?php else : ?>
			        <div class="alert alert-warning"><?php echo esc_html__( 'Form has been not filled correctly.', 'apuslisting' ); ?></div>
			    <?php endif; ?>
			<?php endif; ?>

			<?php if ( ! empty( $author_email ) ) : ?>
			    <form method="post" action="?" class="margin-top-30">
			    	<div class="row">
				        <div class="col-sm-6">
					        <div class="form-group">
					            <input type="text" class="form-control" name="subject" placeholder="<?php echo esc_html__( 'Subject', 'apuslisting' ); ?>" required="required">
					        </div><!-- /.form-group -->
					    </div>
					    <div class="col-sm-6">
					        <div class="form-group">
					            <input type="email" class="form-control" name="email" placeholder="<?php echo esc_html__( 'E-mail', 'apuslisting' ); ?>" required="required">
					        </div><!-- /.form-group -->
					    </div>
			        </div>
			        <div class="form-group">
			            <textarea class="form-control" name="message" placeholder="<?php echo esc_html__( 'Message', 'apuslisting' ); ?>" required="required"></textarea>
			        </div><!-- /.form-group -->

			        <button class="button btn btn-block radius-3x btn-theme" name="contact-form"><?php echo esc_html__( 'Send Message', 'apuslisting' ); ?></button>
			    </form>
			<?php endif; ?>
		</div>
	</div>
	<!-- form contact -->
</div>