<?php
	$terms = get_the_terms( get_the_ID(), 'job_listing_category' );
    $termids = array();
    if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
    	foreach ($terms as $term) {
    		$termids[] = $term->term_id;
    	}
    }
    $args = array (
        'taxonomy' => 'job_listing_category',
        'orderby' => 'name',
        'order' => 'ASC',
        'hide_empty' => true,
        'exclude' => $termids,
        'number' => 0
    );
    $terms = get_terms($args);
	if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
		?>
		<div class="widget browse-nearby">
			<h3 class="widget-title"><?php echo esc_html__('Browse nearby', 'apuslisting'); ?></h3>
			<div class="box-inner">
				<ul class="listing-cat">
					<?php

					$lat = get_post_meta(get_the_ID(), 'geolocation_lat', true);
					$lng = get_post_meta(get_the_ID(), 'geolocation_long', true);
					$link = apuslisting_get_listings_page_url();
					
					$link = add_query_arg( 'search_lat', $lat, remove_query_arg( 'search_lat', $link ) );
					$link = add_query_arg( 'search_lng', $lng, remove_query_arg( 'search_lng', $link ) );
					$link = add_query_arg( 'search_distance', 50, remove_query_arg( 'search_distance', $link ) );
					$link = add_query_arg( 'use_search_distance', 'on', remove_query_arg( 'use_search_distance', $link ) );

					foreach ($terms as $term) {
						$icon_image = Taxonomy_MetaData_CMB2::get( 'job_listing_category', $term->term_id, 'icon' );
						$icon_font = Taxonomy_MetaData_CMB2::get( 'job_listing_category', $term->term_id, 'icon_font' );
						
						$term_link = add_query_arg( 'search_categories[]', $term->term_id, remove_query_arg( 'search_categories[]', $link ) );
					?>
						<li>
							<a href="<?php echo esc_url($term_link); ?>">
								<span class="category-icon">
									<?php if (!empty($icon_image)) { ?>
										<img src="<?php echo esc_url_raw($icon_image); ?>" alt="">
									<?php } ?>
								</span>
								<?php echo esc_attr($term->name); ?>
							</a>
						</li>
					<?php } ?>
					<li>
						<a href="<?php echo esc_url($link); ?>">
							<span class="category-icon">
								<i class="icon-more"></i>
							</span>
							<?php echo esc_html__('Show all', 'apuslisting'); ?>
						</a>
					</li>

				</ul>
			</div>
		</div>
	<?php
	}
?>