<?php $thumbsize = !isset($thumbsize) ? apuslisting_get_blog_thumbsize() : $thumbsize;?>
<?php $categories = get_the_category(); ?>
<article <?php post_class('post list-default'); ?>>
    <div class="row list-inner">
        <?php
            $thumb = apuslisting_display_post_thumb($thumbsize);
            if ( !empty($thumb) ) {
                ?>
                <div class="col-sm-5 image">
                    <?php echo trim($thumb); ?>
                </div>
                <?php
            }
        ?>
        <div class="col-sm-<?php echo esc_attr(!empty($thumb) ? '7' : '12'); ?> info">
          <div class="info-content">
            <?php
                if (get_the_title()) {
                ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php
            }
            ?>
            <div class="entry-meta">
                <span class="author"><i class="icon-user"></i> <?php the_author_posts_link(); ?></span>
                <span class="comment"><i class="icon-comment"></i> <?php comments_number( '0 Comment', '1 Comment', '% Comments' ); ?></span>
                <span class="date"><i class="fa fa-folder-o" aria-hidden="true"></i>
                    <?php 
                        if ( ! empty( $categories ) ) {
                            echo esc_html( $categories[0]->name );   
                        }
                    ?>
                </span>
            </div>
            <?php if ( has_excerpt() ) { ?>
                <div class="description"><?php echo apuslisting_substring( get_the_excerpt(), 25, '...' ); ?></div>
            <?php } else { ?>
                <div class="description"><?php echo apuslisting_substring( get_the_content(), 25, '...' ); ?></div>
            <?php } ?>
          </div>
        </div>
    </div>
</article>