<?php 
global $product;

$product_type = $product->get_type();

if ( $product_type != 'booking' ) {
    ?>
    <div class="product-block grid" data-product-id="<?php echo esc_attr($product->get_id()); ?>">
        <div class="block-inner">
            <?php woocommerce_show_product_loop_sale_flash(); ?>
            <figure class="image">
                
                <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>" class="product-image">
                    <?php
                        /**
                        * woocommerce_before_shop_loop_item_title hook
                        *
                        * @hooked woocommerce_show_product_loop_sale_flash - 10
                        * @hooked woocommerce_template_loop_product_thumbnail - 10
                        */
                        remove_action('woocommerce_before_shop_loop_item_title','woocommerce_show_product_loop_sale_flash', 10);
                        do_action( 'woocommerce_before_shop_loop_item_title' );
                    ?>
                </a>
            </figure>
            <div class="groups-button clearfix">
                <div class="addcart">
                    <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
                    <?php
                        $action_add = 'yith-woocompare-add-product';
                        $url_args = array(
                            'action' => $action_add,
                            'id' => $product->get_id()
                        );
                    ?>
                </div>
            </div>
        </div>
        <div class="caption">
            <div class="meta">
                <div class="infor">
                    <h3 class="name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                    <?php
                        /**
                        * woocommerce_after_shop_loop_item_title hook
                        *
                        * @hooked woocommerce_template_loop_rating - 5
                        * @hooked woocommerce_template_loop_price - 10
                        */
                        remove_action('woocommerce_after_shop_loop_item_title','woocommerce_template_loop_rating',5);
                        do_action( 'woocommerce_after_shop_loop_item_title');
                    ?>
                    
                </div>
            </div>    
        </div>
    </div>
    <?php
} else {
    $product_type_class = "";
    $product_details = wc_get_product( $product->get_id() );
    if ( ! empty( $product_details ) && ! empty( $product_details->product_type ) ) {
        $product_type_class = "product-type_" . strtolower( $product_details->product_type );
    }

    ?>

    <?php
    /**
     * woocommerce_before_single_product hook
     *
     * @hooked wc_print_notices - 10
     */
    do_action( 'woocommerce_before_single_product' );
    ?>

    <div class="product product-block grid woocommerce add_to_cart_inline <?php echo esc_attr($product_type_class); ?>">
        <div class="summary entry-summary">
            <h3 class="name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php
            //we start from the single product page but cherry-pick what we need
            wc_get_template( 'single-product/price.php' );
            wc_get_template( 'single-product/short-description.php' );
            woocommerce_template_single_add_to_cart(); ?>

        </div><!-- .summary -->
    </div>
<?php } ?>